-include Makefile.specific
# include parent_common.mk for buildsystem's defines
# use absolute path for REPO_PARENT
CURDIR:=$(shell /bin/pwd)
REPO_PARENT ?= $(CURDIR)/..
-include $(REPO_PARENT)/parent_common.mk

# This can be overriden in cases where WRTD itself is a dependency
# and one does not want to recursively check out WRTD's dependency
# on Mock Turtle.
WRTD_DEP_TRTL ?= $(CURDIR)/../dependencies/mock-turtle

DIRS = $(WRTD_DEP_TRTL)/software lib firmware

all clean: $(DIRS)

tools: lib

.PHONY: all clean $(DIRS)

clean: TARGET = clean
modules: TARGET = modules

$(DIRS):
	$(MAKE) -C $@ $(TARGET)
